.input-box {
	position: relative;
	display: flex;
	flex: 1 1 100%;
}

.input-box__input {
	width: 100%;
	padding: 5px 10px;
	padding-right: 35px;

	font: inherit;
	font-size: 1.3em;
	font-weight: 700;
	text-transform: uppercase;

	color: inherit;
	background-color: var(--c-bg_dark);
	border: none;
	outline: none;
	border-radius: 10px;
	text-align: center;

	transition: 0.3s;
}

.input-box__input::placeholder {
	text-align: center;
}

.input-box__input:focus {
	box-shadow: 0 0 15px var(--c-main_dark);
}

.input-box__button-clear {
	position: absolute;
	top: 50%;
	right: 0;
	transform: translateY(-50%);
}

.input-box__button--icon {
	color: var(--c-accent);
}
